﻿#include "mainwindows.h"
#include "ui_mainwindows.h"

MainWindows::MainWindows(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::MainWindows)
{
    ui->setupUi(this);
    infoshow("使用前请了解相关使用方法.");

    mdsst = new MDSST();
    connect(this, SIGNAL(start(QString,QString)), mdsst, SLOT(startprocess(QString,QString)));
    connect(mdsst, SIGNAL(showInfo(QString)), this, SLOT(infoshow(QString)));
    connect(mdsst, SIGNAL(showCompedInfo(QString)), this, SLOT(completedInfoShow(QString)));
    connect(mdsst, SIGNAL(showFileNumInfo(QString)), this, SLOT(fileNumInfoShow(QString)));
    connect(mdsst, SIGNAL(showCompedFileNum(QString)), this, SLOT(compedFileNumshow(QString)));

    mdsst_thd.reset(new QThread);
    mdsst->moveToThread(mdsst_thd.data());
    mdsst_thd->start();

    this->setFixedSize(this->size());
    //setWindowIcon(QIcon(":/logo.png"));
}

MainWindows::~MainWindows()
{
    if(mdsst_thd->isRunning())
    {
        mdsst_thd->terminate();
        mdsst_thd->wait();
        mdsst_thd->quit();
    }
    delete ui;
}

void MainWindows::infoshow(QString tempInfo)
{
    if(tempInfo == "所有文件已处理完毕!"){
        ui->startBtn->setEnabled(true);
    }
    ui->Infoshowtedt->append(tempInfo);
}

void MainWindows::on_startBtn_clicked()
{
    ui->startBtn->setEnabled(false);
    QString inputFilePath = ui->inputledt->text();
    QString outputFilePath = ui->outputledt->text();
    if(inputFilePath == "" && outputFilePath == "")
    {
        infoshow("文件路径或保存路径有误!");
        ui->startBtn->setEnabled(true);
    }else{
        emit start(inputFilePath,outputFilePath);
    }
}

void MainWindows::on_aboutBtn_clicked()
{
    QString info = "本工具只针对于海洋表温数据进行天平均处理,对于缺失数据已经进行了插值处理.";
    infoshow(info);
    info = "如有问题讨论或反馈,请联系制作人";
    infoshow(info);
    info = "制作:thyou,邮箱:thyou@vip.qq.com,时间:2018年12月22日";
    infoshow(info);
}

void MainWindows::on_closeBtn_clicked()
{
    if(mdsst_thd->isRunning())
    {
        mdsst_thd->terminate();
        mdsst_thd->wait();
        mdsst_thd->quit();
    }
    close();
}

void MainWindows::on_inchooseBtn_clicked()
{
    QString directory = QDir::toNativeSeparators(QFileDialog::getExistingDirectory(this,tr("选择"),QDir::currentPath()));
    if(directory != "")
    {
        ui->inputledt->setText(directory);
    }else
    {
        ui->Infoshowtedt->append("路径选择失败!");
    }
}

void MainWindows::on_outchooseBtn_clicked()
{
    QString directory = QDir::toNativeSeparators(QFileDialog::getExistingDirectory(this,tr("选择"),QDir::currentPath()));
    if(directory != "")
    {
        ui->outputledt->setText(directory);
    }else
    {
        ui->Infoshowtedt->append("路径选择失败!");
    }
}

void MainWindows::completedInfoShow(QString info)
{
    ui->completedledt->setText(info);
}

void MainWindows::fileNumInfoShow(QString info)
{
    ui->fileNumledt->setText(info);
}

void MainWindows::compedFileNumshow(QString info)
{
    ui->compedFileNumledt->setText(info);
}
