﻿#ifndef MAINWINDOWS_H
#define MAINWINDOWS_H

#include <QWidget>
#include <QObject>
#include <QString>
#include <QDebug>
#include <QDir>
#include <QFileDialog>
#include <QThread>
#include <QIcon>

#include "mdsst.h"

namespace Ui {
class MainWindows;
}

class MainWindows : public QWidget
{
    Q_OBJECT

public:
    explicit MainWindows(QWidget *parent = nullptr);
    ~MainWindows();

private slots:
    void on_startBtn_clicked();

    void on_aboutBtn_clicked();

    void on_closeBtn_clicked();

    void on_inchooseBtn_clicked();

    void on_outchooseBtn_clicked();

    void infoshow(QString tempInfo);

    void completedInfoShow(QString info);

    void fileNumInfoShow(QString info);

    void compedFileNumshow(QString info);

signals:
    void start(QString inputFilePath,QString outputFilePath);

private:
    Ui::MainWindows *ui;

    MDSST *mdsst;

    QSharedPointer <QThread> mdsst_thd;

};

#endif // MAINWINDOWS_H
