﻿#ifndef MDSST_H
#define MDSST_H

#include <QObject>
#include <vector>
#include <gdal_priv.h>
#include <QVector>
#include <string>
#include <QString>
#include <QStringList>
#include <QDebug>
#include <odplib_extd.h>
#include <QDir>
#include <QFileDialog>
#include <QDateTime>
#include <gdalgrid.h>

#pragma execution_character_set("utf-8")

class MDSST : public QObject
{
    Q_OBJECT
public:
    explicit MDSST(QObject *parent = nullptr);

    void getNcFileNamesList(const QString &filePath, QStringList &tempFileList);

    void fileRead(QString filePath,NC_OBJ &temp_Obj,QString tempMark);

    //反距离权重插值函数
    void inverDistToPowerItpl(GRD_OBJ itplGRDOBJ , GRD_OBJ &itpledGRDOBJ , double pixResoultion);

    void inverDistToPowerItplProcess(NC_OBJ  &temp_Obj);

    void dataArrangement(GRD_OBJ temp_obj, QVector<QVector<float>> tempAT, QList<Point3D> &tempPL);

    void crateTxtFile(QString fileSavePath, QList<Point3D> tempPointList);

    void avageOfDailySST(NC_OBJ  temp_Obj, GRD_OBJ &temp_ATInfo, QVector<QVector<float>> &tempAvageTemper);

    void createFilePath(QString savePath, QString fileNam, QString &filePath);
signals:
    void showInfo(QString tempInfo);

    void showCompedInfo(QString info);

    void showFileNumInfo(QString info);

    void showCompedFileNum(QString info);

public slots:
    void startprocess(QString inputFilePath,QString outputFilePath);
};

#endif // MDSST_H
